Bug 1032832 - RFE: Improve user session handling for the web editor
RFE: Improve user session handling for the web editor
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
3.4
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 19:06 EST by Damian Jansen
Modified: 2015-07-30 21:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:24:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-11-20 19:06:19 EST
Description of problem:
Often when a user leaves a document, via clicking on a link or closing the tab, they appear to still be present to other users.

Version-Release number of selected component (if applicable):
3.x

How reproducible:
Easy, high

Steps to Reproduce:
1. Open two different browsers to $zanata-server
2. Log in to Zanata (in both browsers) with the same user
3. Navigate (in both browsers) to the same project, project version and document
4. Have both users translate the same document
  - Both users should appear with names next to the translation target
5. Click Projects, or Home or some other header link with _one_ user

Actual results:
The user is still visible to the second user, as available in chat and translating the target

Expected results:
User should disappear

Additional info:
It appears this is related to GWT not always getting/handling the event of a user leaving a session, so the information is not propagated to the other users.
Perhaps the server ping and user activity timeout mechanism could be improved.
Comment 1 Damian Jansen 2014-07-23 23:00:03 EDT
Changed to RFE. It works, but sometimes after a minute or two.
Comment 3 Damian Jansen 2015-07-13 20:21:31 EDT
Reassigned to PM
Comment 4 Zanata Migrator 2015-07-30 21:24:56 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-492

Note You need to log in before you can comment on or make changes to this bug.